ProFiles und Phoca Download voller Fehlermeldungen. Dateiuploads nicht möglich

  • Guten Tag,


    ich bin neu hier und arbeite erst seit ein paar Monaten mit Joomla, um eine Schulhomepage zu betreuen. So langsam verstehe ich, wie diese Plattform grundsätzlich funktioniert und dank dieses Forums konnte ich einige Herausforderungen schon lösen. Vielen Dank dafür.


    Heute (und die letzten Tage) stehe ich vor einer Herausforderung, die mich vor ein Rätsel stellt.


    Kürzlich habe ich über die Erweiterung ProFiles (File Managment) Dateien (Speisepläne) hochladen wollen. Bei diesem Prozess ist die Gesamte Homepage abgestürzt und nur durch eine Wiederherstellung des Providers konnte ich überhaupt wieder auf den Content zugreifen.


    Seither funktioniert ProFiles nicht mehr wirklich und warnt mich vor einer fehlerhaften Datei. (Ich habe es mehrfach deinstalliert und wieder aufgespielt - ohne Ergebnis). Und auch Phocadownloads warnt mich vor fehlerhaften Dateien. Die Downloads von der Homepage funktionieren generell, nicht jedoch die Speisepläne.


    Was soll ich tun? Bitte möglichst anfängertaugliche Erklärungen - danke.


    Hier die fehlerhaften Dateien im Control Panel von Phoca:


    Warning: Illegal string offset 'name' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Illegal string offset 'type' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Illegal string offset 'creationDate' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Illegal string offset 'author' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Illegal string offset 'copyright' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Illegal string offset 'authorEmail' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Cannot assign an empty string to a string offset in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Illegal string offset 'authorUrl' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Illegal string offset 'version' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Illegal string offset 'description' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Illegal string offset 'group' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Cannot assign an empty string to a string offset in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38



    Warning: Illegal string offset 'filename' in /kunden/388262_60435/joomla/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38




    Und hier die Meldung von ProFiles:



    Hoffentlich kann jemand helfen. Vielen Dank!


    (homepage ist: cms-ffm.de)

  • Das Joomla Extension Directory sagt, dass die Extension von 2014 ist und 2015 das letzte Mal upgedatet wurde.

    Ggf. wird sie nicht mehr supported und funktioniert daher nicht mehr ordnungsgemäß.

    prüfe ob du sie wirklich brauchst.

    Es gilt aus meiner Sicht der Grundsatz weniger ist mehr. Extensions sind da gut, wo man mit Joomla-Bord-Mitteln nicht weiter kommt. Sonst ziehe ich die Joomla-Bord-Mittel vor.

    Ansonsten brauchen wir mehr Infos. Joomla-Version. PHP-Versio etc. (siehe Forenregeln).

    Ansonsten scheint noch mehr im Argen zu sein. Auf der Seite wird auch für DP_Calender eine Warnung ausgegeben.

  • Vielen Dank für die Antworten. Danke auch für den Hinweis zu den Forenregeln.



    Hier zunächst die Rahmendaten zu Joomla:

    PHP-Version

    7.2.3

    Joomla!-Version

    Joomla! 3.9.3 Stable [ Amani ] 12-February-2019 15:00 GMT

    URL: cms-ffm.de/joomla/index.php


    Phocadownload habe ich aktualisiert.


    DP_Calendar habe ich deinstalliert, da er derzeit sowieso nicht genutzt wurde und ebenso eine alte Version installiert war, die sich nicht aktualisieren ließ. Gibt es hier eine gute Alternative, die erlaubt, einen Google-Kalender auf der Seite anzuzeigen?


    Von ProFiles könnte ich mich ebenso verabschieden, da es weiterhin die Fehler anzeigt. Allerdings müsste ich eine gute und kostenfreie Alternative finden für das File Managment. Vielleicht gibt es hier ja Tipps für Extensions, die aktuell sind, funktional und in der Bedienung einfach verständlich?



    Ich bedanke mich aufrichtig für die Hilfe.

  • So Deprecated-Meldungen sind (momentan) nicht schlimm. Sie weisen dich ja darauf hin, dass es erst in irgendeiner zukünftigen PHP-Versionen dann nicht mehr funktionieren wird. Du kannst diese Meldungen verstecken, indem du "Fehler berichten" in der Joomla-Konfiguration deaktivierst.


    Wenn du dich traust, es zu reparieren, z.B. mit Editor Notepad++, nicht dem Windows-eigenen(!), gehe in die Datei (Pfad siehst ja in der Fehlermeldung) und ändere Zeile 220 von

    Code
    1. function PclZip($p_zipname)

    nach

    Code
    1. function __construct($p_zipname)

    Aber ein Wechsel ist nat. immer besser, wenn Erweiterungen nicht mehr ordentlich gepflegt werden. Den Fehler gibt es ja schon länger.

  • um eine Schulhomepage zu betreuen

    Moin Herr Kollege!

    (OT: Hab ich auch jahrelang gemacht. Bei uns waren es auch die Speisepläne, Terminplan u. ä, wie bei Euch.)

    Kurz und bündig meine Empfehlungen:

    1. Bringe alle Erweiterungen auf den neuesten Stand.

    2. Schalte die Anzeige der Warnings ab: BE > System > Konfiguration > Server > Fehler berichten ==> keine

    3. Nutze einen anderen Download-Manager (wir hatten jDownloads, der sollte alles können, was eine Schule so haben muss).

    ------------------------------------------------------------
    Gruß vom Jörg
    (Lehrer ist kein Beruf sondern eine Diagnose. oops )